Subject: bug#60556: 29.0.60; Fatal error accurred when editing init.el with flymake enabled on Windows 10

From: Eason Huang <[email-masked]>
Date: Tue, 24 Jan 2023 20:50:36 +0800

João Távora <[email-masked]> writes:

>> I also reported an issue to Borg. See more infomation by the link bellow:
>> https://github.com/emacscollective/borg/issues/140
>>
>> I guess the issue is cause by the implementation of UI displaying on
>> MS-Windows.
>>
>> JoJoão and Eli, do you have any advice on how to debug with this issue?
>
>>>From my part, not really.
>
> From what I read in the attached issue, it seems Borg does things
> with the load path that interferes with Emacs's ability to invoke
> itself as a sub-process.
>
> João
>

Hi João,

The fatal error issue has been solved by Eli.

For the load path warning "Your `load-path' seems to contain your
 `.emacs.d' directory", I report a new bug#61014, you can see it by
the link bellow:

https://lists.gnu.org/archive/html/bug-gnu-emacs/2023-01/msg01770.html

And you can reproduce the issue by `emacs -Q`, so it's not related to Borg.

Maybe we can discuss at the thread of bug#61014.

-- 
Eason Huang